Revision Table Anchor point
Posted: Tue Sep 07, 2021 11:59 pm
Good day
Let me start by apologizing if I am doing this incorrectly or posting it wrong. This is literally my first post ever.
I am trying to place a Revision Table on a drawing sheet.
The issue is that, although the revision table is inserted, it is not anchored to the correct point. The The top_right anchor point selection is active, regardless of which i indicate.
I would appreciate it if anyone could help.
below i have the code i used
'----------------
Dim boolstatus As Boolean
Sub main()
Dim instance As ISheet
Dim instance2 As swBOMConfigurationAnchorType_e
Dim currentSheet As Object
Dim myRevisionTable As Object
instance2 = swBOMConfigurationAnchor_BottomRight
Set myRevisionTable = Application.SldWorks.ActiveDoc.GetCurrentSheet.InsertRevisionTable(True, 0, 0, instance2, "C:\squirrel.sldrevtbt")
myRevisionTable.GetAnnotation.Layer = "Tables"
Application.SldWorks.ActiveDoc.Rebuild(swRebuildOptions_e.swForceRebuildAll)
End Sub
;----------------
Let me start by apologizing if I am doing this incorrectly or posting it wrong. This is literally my first post ever.
I am trying to place a Revision Table on a drawing sheet.
The issue is that, although the revision table is inserted, it is not anchored to the correct point. The The top_right anchor point selection is active, regardless of which i indicate.
I would appreciate it if anyone could help.
below i have the code i used
'----------------
Dim boolstatus As Boolean
Sub main()
Dim instance As ISheet
Dim instance2 As swBOMConfigurationAnchorType_e
Dim currentSheet As Object
Dim myRevisionTable As Object
instance2 = swBOMConfigurationAnchor_BottomRight
Set myRevisionTable = Application.SldWorks.ActiveDoc.GetCurrentSheet.InsertRevisionTable(True, 0, 0, instance2, "C:\squirrel.sldrevtbt")
myRevisionTable.GetAnnotation.Layer = "Tables"
Application.SldWorks.ActiveDoc.Rebuild(swRebuildOptions_e.swForceRebuildAll)
End Sub
;----------------